ibase_num_params
ibase_pconnect
Firebird/InterBase Functions
PHP Manual

# ibase_param_info

Return information about a parameter in a prepared query

### Description

array ibase_param_info ( resource `$query` , int `$param_number` )

Returns an array with information about a parameter after a query has been prepared.

### Parameters

`query`

  An InterBase prepared query handle.

`param_number`

  Parameter offset.

### Return Values

Returns an array with the following keys: name, alias, relation, length and type.

### See Also

- ibase_field_info
- ibase_num_params